package com.ssj.service.conch.teacher.request.oneonly;

import java.util.List;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

public class ApplyTeacherReq extends BaseRequest {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(name = "headPicUrl", value = "头像图片路径", required = false)
    private String  headPicUrl;
	
	@ApiModelProperty(name="realName",value="真实姓名",required=true)
	private String realName;
	
	@ApiModelProperty(name="sex",value="性别",required=true)
	private Integer sex;
	
	@ApiModelProperty(name="concatPhone",value="联系方式",required=true)
	private String concatPhone;
	
	@ApiModelProperty(name="subject",value="科目",required=true)
	private List<FrontVo> subjects;
	
	@ApiModelProperty(name="schoolAge",value="教龄",required=true)
	private Integer schoolAge;
	
	@ApiModelProperty(name="personalLabel",value="个人标签",required=true)
	private List<String> personalLabel;
	
	@ApiModelProperty(name="personalInfo",value="个人简介",required=false)
	private String personalInfo;
	
	@ApiModelProperty(name="teachPoint",value="教学特征",required=false)
	private String teachPoint;
	
	@ApiModelProperty(name="successfulCase",value="成功案例",required=false)
	private String successfulCase;
	
	@ApiModelProperty(name="teacherImgList",value="上传照片集合",required=true)
	private List<TeacherImgVO>  teacherImgList;

	public String getHeadPicUrl() {
		return headPicUrl;
	}

	public void setHeadPicUrl(String headPicUrl) {
		this.headPicUrl = headPicUrl;
	}

	public String getRealName() {
		return realName;
	}

	public void setRealName(String realName) {
		this.realName = realName;
	}

	public Integer getSex() {
		return sex;
	}

	public void setSex(Integer sex) {
		this.sex = sex;
	}

	public String getConcatPhone() {
		return concatPhone;
	}

	public void setConcatPhone(String concatPhone) {
		this.concatPhone = concatPhone;
	}

	public List<FrontVo> getSubjects() {
		return subjects;
	}

	public void setSubjects(List<FrontVo> subjects) {
		this.subjects = subjects;
	}

	public Integer getSchoolAge() {
		return schoolAge;
	}

	public void setSchoolAge(Integer schoolAge) {
		this.schoolAge = schoolAge;
	}

	public List<String> getPersonalLabel() {
		return personalLabel;
	}

	public void setPersonalLabel(List<String> personalLabel) {
		this.personalLabel = personalLabel;
	}

	public String getPersonalInfo() {
		return personalInfo;
	}

	public void setPersonalInfo(String personalInfo) {
		this.personalInfo = personalInfo;
	}

	public String getTeachPoint() {
		return teachPoint;
	}

	public void setTeachPoint(String teachPoint) {
		this.teachPoint = teachPoint;
	}

	public String getSuccessfulCase() {
		return successfulCase;
	}

	public void setSuccessfulCase(String successfulCase) {
		this.successfulCase = successfulCase;
	}

	public List<TeacherImgVO> getTeacherImgList() {
		return teacherImgList;
	}

	public void setTeacherImgList(List<TeacherImgVO> teacherImgList) {
		this.teacherImgList = teacherImgList;
	}
	
	
}
